apt更新或安装软件时,卡在mysql,无法退出和取消,各位大佬帮帮忙看看怎么回事儿呢

数据库服务和管理,MySQL/PostgreSQL/Oracle/Sybase 等
回复
ubuntu_xunater
帖子: 1
注册时间: 2018-05-18 9:31
系统: win10
送出感谢: 0
接收感谢: 0

apt更新或安装软件时,卡在mysql,无法退出和取消,各位大佬帮帮忙看看怎么回事儿呢

#1

帖子 ubuntu_xunater » 2018-05-18 9:38

user@ubuntu:~$ sudo apt install vim
Reading package lists... Done
Building dependency tree
Reading state information... Done
vim is already the newest version (2:7.4.1689-3ubuntu1.2).
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up mysql-server-5.7 (5.7.22-0ubuntu0.16.04.1) ...
Checking if update is needed.
This installation of MySQL is already upgraded to 5.7.22, use --force if you still need to run mysql_upgrade
poloshiao
论坛版主
帖子: 18275
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: apt更新或安装软件时,卡在mysql,无法退出和取消,各位大佬帮帮忙看看怎么回事儿呢

#2

帖子 poloshiao » 2018-05-18 10:01

sudo apt install vim
,,,
vim is already the newest version (2:7.4.1689-3ubuntu1.2).
1. vim 套件 已經安裝 而且是最新版本
意思是 不需要 再安裝
Setting up mysql-server-5.7 (5.7.22-0ubuntu0.16.04.1) ...
Checking if update is needed.
This installation of MySQL is already upgraded to 5.7.22, use --force if you still need to run mysql_upgrade
2. mysql-server-5.7 套件已是最新版本 不需要再被更新
新手 不須再理會該訊息
2-1. 如果有興趣 可以參閱
2-1-1. https://blog.longwin.com.tw/2010/10/mys ... inux-2010/
是早期文章 是否還適用 ? 須再查證
2-1-2. https://dev.mysql.com/doc/relnotes/mysq ... -7-20.html
Packaging Notes
mysqlcheck was missing in the MySQL Server Docker image, which prevented mysql_upgrade from running. (Bug #26400146, Bug #86968)
回复

回到 “数据库管理”